---
title: "Moneda Libre G1"
date: 2022-06-13T12:00:00-00:00
draft: false
---

La red de la Moneda Libre G1 necesita de todos para continuar. Ahora mismo se requiere instalar más nodos para darle un poco de holgura a la red. Todos podemos apoyar en esto, juntate con amigos y conocidos dentro de la red para dividirse el costo de un nodo, entre todos nuestra independencia es más barata.

Para que no haya duda de mi compromiso, mantengo un nodo completamente desde mi bolsillo el cual ya esta forjando moneda: `g1.cuates.net`


## Contratar un nodo

1. El equipo donde se instala un nodo, VPS de aquí en adelante, debe tener un mínimo de características técnicas, recomendamos 4 Cores y 4 de GB de Ram. Cualquiera esta en libertad de contratar un VPS con su proveedor de confianza, solo se requiere acceso `root` al mismo para la instalación.

    1. Si deciden contratar el VPS directamente conmigo, el más económico parte en 7 Euros al mes, y el recomendado esta en 12 Euros al Mes. Por ahora solo en moneda fiat. Es importante que sepan que no hay sobrecosto en estos precios.
    1. La instalación y el mantenimiento es en Junas, partiendo de un aprecio de 100 Junas mensuales por nodo.
    1. Si solo desean contratar la instalación, son 300 Junas como pago único.

1. Si bien el nodo puede trabajar solo con la IP, es mucho mejor tener un subdominio para el mismo. Si no cuentan con dominio, el aprecio mensual incluye un subdominio bajo el dominio: `g1server.net`, de este modo pueden seleccionar un subdominio con su nombre o región: `pepe.g1server.net` o `madrid.g1server.net`.

1. Existen dos tipos de nodos; nodos espejo y nodos miembro, los primeros los puede tener cualquiera, soy muy útiles para darle redundancia a la red, los segundos solo miembros certificados y pueden ser, además, forjadores de moneda.

Cualquier duda o aclaración del alcance de este servicio, podemos resolverla directamente en:

* Correo: elmau@cuates.net
* Telegram: @elmau_blades

Por favor, no uses el grupo principal de la G1 para resolver dudas, esto es para no saturar el grupo de información que tal vez no interesa a todos.

En cuanto no tengas más dudas de este servicio y deseas contratar todo o solo una parte, te daremos acceso al grupo de Telegram donde se coordina todo el proceso.


## Instalar un nodo

Las instrucciones detalladas de como instalar un nuevo nodo, están publicadas en:

Gemini:
```
gemini://elmau.net/notes/duniter.gmi
```

Si no usan Gemini puede verlo con el proxy:

https://portal.mozz.us/gemini/elmau.net/notes/duniter.gmi

La instalación de un nodo requiere un minimo de conocimientos técnicos. Si logras instalar un nodo con estas instrucciones, se agradece el aprecio a:

`A5DdXxCKPw3QKWVdDVs7CzkNugNUW1sHu5zDJFWxCU2h`


## Instalar un nodo en casa

Esta es una de las preguntas más frecuentes en los grupos de la comunidad G1.

No conozco a nadie que tenga un nodo en casa, dadas las muy diferentes características de las redes en las diferentes partes del mundo, será desde medio complicado hasta casi imposible tener un nodo en casa. Paso a intentar explicar los motivos siempre recordando que esto es solo mi experiencia.

1. El equipo donde se instale, debe estar 24 horas al día, 7 días a la semana permanentemente conectado a la red eléctrica. Por ejemplo, en mi país (Mexico), el servicio no es 100% fiable, y aún con un UPS puede llegar a fallar por horas, además de que el costo por KWHr, siempre será más barato en un centro de datos diseñado para esto.

1. El servicio de Internet debe ser de preferencia simétrico, esto es, la misma velocidad de subida que de bajada, la mayoría de los servicios caseros no lo tiene, y los que lo tienen cuesta bastante más caro. De nuevo en mi localidad, el servicio no es 100% fiable.

1. El siguiente escollo, es los cientos de diferentes aparatos que los proveedores instalan en casa para conectarnos a Internet, routers es su nombre técnico. Algunos son muy sencillos de manipular, otros realmente complicados, hasta los que los proveedores lo prohíben explícitamente.

1. Por último, todo servicio requiere un mínimo de conocimientos técnicos para levantarlo, para darle mantenimiento y para arreglarlo cuando las cosas fallan, en algún momento, casi siempre fallan las cosas.

Si hay algún lugar del mundo donde todos estos inconvenientes sean salvables de una forma aceptable, no esperes para levantar un nodo ahí y contárnoslo por supuesto.
